nwchem (7.3.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:43:12 +0000

nwchem (7.3.1-1) unstable; urgency=medium

  * New upstream release
    - fixes pem. Closes: #1119963

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Nov 2025 23:44:59 +0100

nwchem (7.3.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1111575.
    - applies debian patch 32bit_overflow_n2_ccsd_2824153.patch
    - supports gcc-15 (C23 standard). Closes: #1097484.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 00:01:46 +0100

nwchem (7.2.3-10) unstable; urgency=medium

  * rebuild against ga (libglobalarrays-dev) 5.9.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 May 2025 22:07:59 +0200

nwchem (7.2.3-9) unstable; urgency=medium

  * ensure nwchem is rebuilt for the version of mpich (really4.2.1)
    targetted for trixie

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 May 2025 03:41:12 +0200

nwchem (7.2.3-8) unstable; urgency=medium

  * rebuild against libglobalarrays-dev 5.9.1
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Apr 2025 20:49:20 +0200

nwchem (7.2.3-7) unstable; urgency=medium

  * skip mpich tests on s390x (all tests currently fail).
    Closes: #1088664.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2024 14:08:58 +0100

nwchem (7.2.3-6) unstable; urgency=medium

  * skip mpich tests on mips64el since armci is flakey there
    (armci fails its own mpich tests on mips64el)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Nov 2024 00:12:01 +0100

nwchem (7.2.3-5) unstable; urgency=medium

  * tests have started massively failing on mips64el. Test only a
    short subset (same as riscv64).

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Nov 2024 17:49:03 +0100

nwchem (7.2.3-4) unstable; urgency=medium

  * move usr/bin/nwchem symlink to nwchem-$(ARCH_DEFAULT_MPI_IMPL) for
    each arch. Closes: #1085264.
    nwchem-*mpi* Replaces:, Breaks: nwchem (<< 7.2.3-4)
  * move nwchem man page to nwchem-data and provide symlinks
    from binary packages. Add lintian overrides from usr/bin/nwchem
    manpages in binary packages.

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Nov 2024 15:08:03 +0100

nwchem (7.2.3-3) unstable; urgency=medium

  * set nwchem-openmpi Architecture: to the specific (64-bit) arches
    listed in OPENMPI_AVAILABLE_ARCHITECTURES by mpi-default-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Sep 2024 12:15:52 +0200

nwchem (7.2.3-2) unstable; urgency=medium

  * don't build or run tests for openmpi on 32-bit architectures.
    openmpi 4 is still built for these arches, but mpi-defaults
    already marks them as not supporting openmpi.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Sep 2024 11:13:45 +0200

nwchem (7.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: pkgconf not pkg-config
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 01:04:07 +0200

nwchem (7.2.2-2) unstable; urgency=medium

  * README.source: update url for DFT-D3 source
    https://www.chemie.uni-bonn.de/grimme/de/software/dft-d3
    Current version is V3.2 Rev 0.
  * reorganise debian/testsuite
    - use set -e to catch errors
    - only run half the tests on riscv64 (slow, tests time out)
    - don't run pspw_md cosmo_h3co on armhf, s390x
      (cf. upstream Issue#864)

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Apr 2024 19:03:35 +0200

nwchem (7.2.2-1) unstable; urgency=medium

  * New upstream release.
  * drop deprecated debian patches 13_armhf_noopt.patch and
    v721_PR889.patch
  * merge peigs parts of debian patches 02_makefile_flags.patch and
    08_lapack_constants_headers.patch into single patch
    peigs_defines.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Nov 2023 13:10:28 +0100

nwchem (7.2.1-4) unstable; urgency=medium

  * update debian patch 02_makefile_flags.patch
    - add alpha to the no-m64 set
    - don't add LINUX64 to the LINUX (32-bit) block
      Enable a proper 64-bit configuration as intended upstream.
    - re-enable upstream's LINUXCPU definitions in config/makefile.h
  * debian/rules: set USE_HWOPT=n to avoid chip-specific optimisations
    e.g. no i786 instructions in the i386 build. Used by makefile.h.
    Needed after enabling LINUXCPU in makefile.h
  * debian patch 32bit_overflow_n2_ccsd_2824153.patch applies upstream
    commit 2824153 to fix n2_ccsd SIGFPE on 32 bit machines

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Oct 2023 00:15:16 +0200

nwchem (7.2.1-3) unstable; urgency=medium

  * 02_makefile_flags.patch: mark loong64 (loongarch64) as not
     supporting -m64 (set DONTHAVEM64OPT=y)
  * debian patch v721_PR889.patch applies upstream PR#889 to update
    internal version to 7.2.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Oct 2023 13:02:20 +0200

nwchem (7.2.1-2) unstable; urgency=medium

  * update debian patches
    - 02_makefile_flags.patch: switch off -m64 flag for ia64
    - ga_libs.patch: add handling for GA_INCLUDE_PATH to
      allow for the GA include dir in a separate location from
      EXTERNAL_GA_PATH (debian uses /usr i.e. /usr/include)
      GA include files (ga-wapi.h) are used by ccsd and nwdft/xc

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Oct 2023 01:36:20 +0200

nwchem (7.2.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - deprecates debian patch test_ch5n_nbo_Issue864.patch
  * reconfigure debian patch 02_makefile_flags.patch
    - use upstream's _CPU, which sets -m64 via DONTHAVEM64OPT
      (enables build on riscv64)
    - use gfortran with standard build flags for ia64
      (upstream uses Intel's ifort)
    - mark deactivated variables with _not_debian
      (e.g. LINUXCPU_not_debian) to make Debian-specific build
      configuration changes clear
  * debian/rules: use the parallel option in DEB_BUILD_OPTIONS
    to run the build in parallel (make -j)
    - update 02_makefile_flags.patch to drop the linux default
      setting -j 1 in MAKEFLAGS
  * update debian/watch to uscan version 4.
    Configure to access the full source tarball as recommended by
    upstream (nwchem-VERSION@release*-src.*) rather than the github
    tagged tarball.

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Oct 2023 23:40:30 +0200

nwchem (7.2.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch fix_py310_6384013.diff
    - Build-Depends: bc
  * add Drew Parsons as uploader
  * convert debian/copyright to machine-readable format.
    Still licensed under the Educational Community License, Version 2.0
  * maintain local copy of DFT-D3 source at debian/dftd3/dftd3.tgz
    (GPL licence). The nwchem build normally downloads dftd3 at build
    time, but internet access is forbidden at build-time by Debian
    policy, hence a local copy is needed. Used by NWPW (XC)
    i.e. src/nwpw/nwpwlib/nwpwxc
    Downloaded from
    https://www.chemiebn.uni-bonn.de/pctc/mulliken-center/software/dft-d3/
    DFT-D3 status documented in debian/README.source.
  * lintian fixes
    - drop -X-Python-Version and Build-Depends: autotools-dev
      from debian/control
    - use dpkg-architecture conditionally (?=) in debian/rules
    - fix GPL-3 entry in debian/copyright
    - update lintian overrides (nwchem-data)
  * drop Build-Depends: csh and convert debian/testsuite to bash.
    Some scripts in the source tarball still use csh, but not the ones
    used by the debian build (e.g. QA/runtests.mpi.unix)
    Thanks Edoardo Apra. Closes: #998401.
  * debian patch test_ch5n_nbo_Issue864.patch patches the ch5n_nbo test
    with DIRECT to enable the SCF energy to pass tolerance (otherwise
    the energy differs by 1e-5 Hartree). See upstream Issue #864.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Sep 2023 11:57:34 +0200

nwchem (7.0.2-5) unstable; urgency=medium

  * Team upload.
  * debian patch fix_py310_6384013.diff applies upstream commit
    6384013 to build with python3.10 and higher.
  * Build with set -e so as not to continue build if there are failures.
    Closes: #1042034
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Sep 2023 02:33:05 +0200

nwchem (7.0.2-4) unstable; urgency=medium

  * Team upload.
  * create nwchem-mpich.README.Debian to document the need to use
    ARMCI_USE_WIN_ALLOCATE=0 when running nwchem with MPICH 4.0.2
    (binary nwchem.mpich, fixed in mpich 4.0.3).
    See upstream Issue#633.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Mar 2023 15:01:42 +0100

nwchem (7.0.2-3) unstable; urgency=medium

  * Team upload.
  * upload nwchem-mpich to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Mar 2022 17:20:23 +0100

nwchem (7.0.2-2) experimental; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * Adjusting debian/watch to changes in URL scheme.

  [ Edoardo Apra ]
  * Website moved to GitHub.

  [ Drew Parsons ]
  * build against both openmpi and mpich, provided in nwchem-openmpi
    and nwchem-mpich packages.
    - mpich is needed to run multi-node jobs. Closes: #1005951.
    - nwchem package provides an nwchem symlink to the executable for
      the default MPI
    - Build-Depends: libmpich-dev, libopenmpi-dev,
      libarmci-mpi-dev (>= 0.3.1~beta-2~),
      libglobalarrays-dev (>= 5.8.1-4~)
      libscalapack-mpich-dev (>= 2),
      libscalapack-openmpi-dev (>= 2),
    - set nwchem-openmpi, nwchem-mpich Multi-Arch: allowed
  * run debian/tests using an optimized BLAS library where possible
    (openblas | atlas | blis | other)
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
    - Build-Depends: debhelper-compat (= 13)
    - drop deprecated dh options (autotools_dev addon, --parallel)
  * mark nwchem-data as Multi-Arch: foreign
  * update debian/rules for python3
  * debian patch ga_libs.patch uses ga-config to generate list of
    ga (global array) libs (else use -lga -larmci)
  * debian patch detect_mpi.patch checks MPI environment variables when
    guessing the MPI installation

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Mar 2022 01:38:54 +0100

nwchem (7.0.2-1) unstable; urgency=medium

  * New upstream minor release.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 12:19:32 +0100

nwchem (7.0.1-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.
  * debian/patches/17_pspw_scalapack.patch: Removed, applied upstream.
  * debian/patches/18_mcscf_scalapack.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Oct 2020 14:59:15 +0200

nwchem (7.0.0-2) unstable; urgency=medium

  * debian/patches/17_pspw_scalapack.patch: New patch, fixes PSPW with
    ScaLAPACK, by Edoardo Apra.
  * debian/patches/18_mcscf_scalapack.patch: New patch, fixes MCSCF with
    ScaLAPACK, by Edoardo Apra.
  * debian/rules (SCALAPACK_SIZE): New variable.
  * debian/control (Build-Depends): Bump required libarmci-mpi-dev version to
    0.3.1~beta.
  * debian/control (Build-Depends): Replaced python-dev with python3-dev
    (Closes: #937171).
  * debian/rules: Switch to python3 dh module.
  * debian/control (Build-Depends): Added dh-python.
  * debian/testsuite: Run pyqa3 test instead of pyqa, by Edoardo Apra.
  * debian/testsuite: Reactive test cases cosmo_h3co, dft_he2+ and qmmm_grad0.
  * debian/control (Build-Depends): Bump required libglobalarrays-dev version
    to 5.7.2-2.
  * debian/patches/16_disable_peigs.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 Mar 2020 20:45:32 +0100

nwchem (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/04_show_testsuite_diff_output.patch: Removed, no longer
    needed.
  * debian/patches/02_makefile_flags.patch: Refreshed.
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.
  * debian/watch: Updated for new tag naming scheme.
  * debian/patches/16_disable_peigs.patch: New patch, disable PEIGS.
  * debian/testsuite: Disabled test cases pspw_stress and dft_he2+ as they are
    numerically unstable without PEIGS.

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Mar 2020 13:25:09 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nwchem-data`.
